Knowledgebase: Pamela Requirements
System requirements for Pamela for Skype
Posted by - NA -, Last modified by Richard S on 06.04.2016 - 11:26

Pamela for Skype requires the following minimum system requirements:

  • PC running Windows XP, Vista/7/8.1/10 (32-bit or 64-bit).
  • Skype for Windows, minimal 4.0.

Pamela does not work with Skype for Mac or Linux.

(793 vote(s))
Helpful
Not helpful